Firmware versions
Upload firmware image
Authorization
API key Firmwares: writeAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Firmwares: write
Path Parameters
workspaceId*string
Format
uuidfirmwareId*string
firmwareVersionId*string
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
file*file
Format
binaryResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.spotflow.io/workspaces/00000000-0000-0000-0000-000000000001/firmwares/q8Fd53pLn1Yr/versions/r2Kt75mXc8Vd/image" \ -H "Authorization: Bearer $SPOTFLOW_API_KEY" \ -F "file=@path/to/file"Time-limited link to the uploaded firmware image.
{ "contentSasLink": "https://storage.spotflow.io/firmware-images/y7Bs21fWn5Hk.bin?sv=2025-01-01&sig=example", "fileName": "thermostat-application-2.4.1.bin"}